/*
 * arch/arm/mach-ns9xxx/leds.c
 *
 * Copyright (C) 2006 by Digi International Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 */

#include <linux/kernel.h>
#include <linux/init.h>
#include <linux/module.h>
#include <linux/ioport.h>

#include <asm/leds.h>
#include <asm/hardware.h>
#include <asm/irq.h>
#include <asm/io.h>

#include <asm/arch/board.h>

#include "leds.h"

static int __init nx9xxx_leds_init(void)
{
	int ret;

	if (board_is_jumpstart()) {
		if ((ret = jsdev_leds_config()) != 0)
			return ret;
		leds_event = jsdev_leds_event;
	}

	leds_event(led_start);
	return 0;
}

core_initcall(nx9xxx_leds_init);
