/*
 * drivers/displays/displays.h
 *
 * Copyright (C) 2006 by Digi International Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 */
#ifndef __NS9XXX_LCD_LIB_H
#define __NS9XXX_LCD_LIB_H

/* general configuration for multiple displays */
struct lcd_cfg {
	const char* name;
	int width;
	int height;
	int clock;		   /* LCD clock in Hz or DISP_USE_EXT_CLK to use external clock */
	unsigned long control;	   /* register value */
	unsigned long timing[4];   /* register value */
};

struct ns9xxxfb_gpio {
	u32 gpio;
	u32 function;
};

#define	DISP_USE_EXT_CLK		0x80000000


/* The display selection is done through Kconfig */

#ifdef CONFIG_CRT_VGA
# include "ctr_vga.h"
#endif

#ifdef CONFIG_LQ057Q3DC12I_TFT_LCD
# include "lq057q3dc12i.h"
#endif

#ifdef CONFIG_LQ064V3DG01_TFT_LCD
# include "lq064v3dg01.h"
#endif

#ifdef CONFIG_CUSTOM_DISPLAY
# include "custom.h"
#endif

#endif /* __NS9XXX_LCD_LIB_H */






