/*
 * linux/include/asm-arm/arch-ns9xxx/ns9xxx_udc.h
 *
 * This supports machine-specific differences in how the ns9360
 * USB Device Controller (UDC) is wired.
 *
 * It is set in linux/arch/arm/mach-ns9xxx/<machine>.c and used in
 * the probe routine of linux/drivers/usb/gadget/ns9xxx.c
 */

#define	NS9XXX_UDC_CMD_CONNECT		0	/* let host see us */
#define	NS9XXX_UDC_CMD_DISCONNECT	1	/* so host won't see us */

struct ns9xxx_udc_mach_info {
	int  (*udc_is_connected)(void);		/* do we see host? */
	void (*udc_command)(int cmd);
};

/* GPIOs */
#define GPIO_UDC_VP	42
#define GPIO_UDC_VM	43
#define GPIO_UDC_DE	44
#define GPIO_UDC_RCV	45
#ifdef CONFIG_MACH_CC9P9360JS
#define GPIO_UDC_ENUM	17
#else
#define GPIO_UDC_ENUM	46
#endif
#define GPIO_UDC_SUSP	48
#define GPIO_UDC_SPEED	49
