#ifndef __ASM_ARCH_REGS_ADC_H
#define __ASM_ARCH_REGS_ADC_H

#define S3C24X0_ADCREG(x) (x)

#define S3C24X0_ADCCON		S3C24X0_ADCREG(0x00)
#define S3C24X0_ADCTSC		S3C24X0_ADCREG(0x04)
#define S3C24X0_ADCDLY		S3C24X0_ADCREG(0x08)
#define S3C24X0_ADCDAT0		S3C24X0_ADCREG(0x0C)
#define S3C24X0_ADCDAT1		S3C24X0_ADCREG(0x10)
#define S3C24X0_ADCUPDN		S3C24X0_ADCREG(0x14)	/* only S3C2440 */


/* ADCCON Register Bits */
#define S3C24X0_ADCCON_ECFLG		(1<<15)
#define S3C24X0_ADCCON_PRSCEN		(1<<14)
#define S3C24X0_ADCCON_PRSCVL(x)	(((x)&0xFF)<<6)
#define S3C24X0_ADCCON_PRSCVLMASK	(0xFF<<6)
#define S3C24X0_ADCCON_SELMUX(x)	(((x)&0x7)<<3)
#define S3C24X0_ADCCON_MUXMASK		(0x7<<3)
#define S3C24X0_ADCCON_STDBM		(1<<2)
#define S3C24X0_ADCCON_READ_START	(1<<1)
#define S3C24X0_ADCCON_ENABLE_START	(1<<0)
#define S3C24X0_ADCCON_STARTMASK	(0x3<<0)


/* ADCTSC Register Bits */
#define S3C24X0_ADCTSC_UD_SEN		(1<<8)	/* only S3C2440 */
#define S3C24X0_ADCTSC_YM_SEN		(1<<7)
#define S3C24X0_ADCTSC_YP_SEN		(1<<6)
#define S3C24X0_ADCTSC_XM_SEN		(1<<5)
#define S3C24X0_ADCTSC_XP_SEN		(1<<4)
#define S3C24X0_ADCTSC_PULL_UP_DISABLE	(1<<3)
#define S3C24X0_ADCTSC_AUTO_PST		(1<<2)
#define S3C24X0_ADCTSC_XY_PST(x)	(((x)&0x3)<<0)

/* ADCDAT0 Bits */
#define S3C24X0_ADCDAT0_UPDOWN		(1<<15)
#define S3C24X0_ADCDAT0_AUTO_PST	(1<<14)
#define S3C24X0_ADCDAT0_XY_PST		(0x3<<12)
#define S3C24X0_ADCDAT0_XPDATA_MASK	(0x03FF)

/* ADCDAT1 Bits */
#define S3C24X0_ADCDAT1_UPDOWN		(1<<15)
#define S3C24X0_ADCDAT1_AUTO_PST	(1<<14)
#define S3C24X0_ADCDAT1_XY_PST		(0x3<<12)
#define S3C24X0_ADCDAT1_YPDATA_MASK	(0x03FF)

/* ADCUPDN Bits only S3C2440 */
#define S3C24X0_ADCUPDN_TSC_UP		(1<<1)
#define S3C24X0_ADCUPDN_TSC_DN		(1<<0)

#endif




