#/bin/bash

set -e

. ./common_config.sh 

URL="http://www.fastcgi.com/dist/"
VERSION="2.4.0"
PACKAGE="fcgi"


SRC_FILE="${PACKAGE}-${VERSION}.tar.gz"
SRC_DIR="${PACKAGE}-${VERSION}"

DEPS=""


CFLAGS="-I${DIGI_DIR}/include -I${STAGING_DIR}/include "
LDFLAGS="-L${DIGI_DIR}/lib -L${STAGING_DIR}/lib "
PKG_CONFIG_PATH="${STAGING_DIR}/lib/pkgconfig"


GENERAL_CONFIG_OPTIONS="--host=arm-linux\
            --target=arm-linux\
            --prefix=/\
"

CUSTOM_CONFIG_OPTIONS="\
"

for dep in ${DEPS}
do
  if [ ! -f ${dep} ]; then
    echo "Please build first ${dep}"
    exit
  fi
done



${DOWNLOAD_CMD} ${URL}${SRC_FILE}
echo "Uncompress..."
tar zxf ${SRC_FILE}

echo "Change dir..."
cd ${SRC_DIR}

#echo "PATCH"
#patch -p1 < ../patch/avahi_uclib.patch 

echo "Configure...."
#rm -rf config.cache && autoreconf
 PKG_CONFIG_PATH="${PKG_CONFIG_PATH}" LDFLAGS="${LDFLAGS}" CFLAGS="${CFLAGS}"\
 CXXFLAGS="-fno-builtin -fno-rtti -nostdinc++" LIBS="-nodefaultlibs -lm" \
 ./configure ${GENERAL_CONFIG_OPTIONS} ${CUSTOM_CONFIG_OPTIONS}

echo "Make........."
make || exit $?
install -d ${TARGET_DIR}
install -d ${STAGING_DIR}
make  DESTDIR=${STAGING_DIR}  install
echo "========== installation finish ==========" 
mkdir -p ${TARGET_DIR}/etc/avahi/services
cp -dpf ${STAGING_DIR}/lib/libfcgi*.so* ${TARGET_DIR}/lib/
arm-linux-strip ${TARGET_DIR}/lib/libfcgi*.so*
